Subject: Re: bug#7163: Acknowledgement (23.2; Regular Emacs 23.2 crashes on Solaris 11/SPARC)

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 09 Oct 2010 10:39:43 -0400

Rainer Orth <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>
>> Rainer Orth <[email-masked]> writes:
>>
>>> I forgot to mention:
>>>
>>> I've tried both bazaar emacs-23 branch and trunk (which required some
>>> tweaks to even compile), but both share the same problem.
>>
>> Can you please try to reproduce the crash when you compile emacs-23.2 with -g -O0?
>
> An emacs 23.2 built with cc -g only crashed yesterday, so the problem
> seems not to depend on optimization level.

Is the crash backtrace the same? (just making sure...)

Is the crash hard to reproduce?

Maybe the best bet is to try to isolate the change that caused the crash.
It's very likely that is due to a change in emacs/src/*

Could you try to bisect to find the bad change ?
(I'd try the git mirror, git bisect is very fast and reliable)